Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 May 2021 20:42:49 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 12 May 2021 19:32:13 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Keeping unexec doesn't mean breaking it .  If we believe someone might
> > need that configuration, then we should give them a full-fledged
> > Emacs, not a crippled one.
> 
> How crippled are we talking?

As in "less efficient".

> > The patch can easily be tweaked to make the changes conditioned by
> > HAVE_PDUMPER, so I believe there's no need to argue about this nit:
> > let's simply remove purespace from the pdumper builds, and leave it
> > alone in the unexec builds.
> 
> That would be a whole lot of #ifs in the code, and wouldn't make the
> change worth it -- in that case, I'd rather wait until we get rid of 
> unexec before getting rid of pure space.

I don't think it will be so ugly as being prohibitive: we already have
quite a few of "#if HAVE_PDUMPER" in the sources.  But if you prefer
to wait with purespace removal until after unexec is removed, I don't
mind too much: Emacs 28 will have quite a lot of important changes
even without that.